Get transaction full history
curl --request GET \
--url https://api.algoreg.com/api/v1/kyt/transaction/{id}/full_history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.algoreg.com/api/v1/kyt/transaction/{id}/full_history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.algoreg.com/api/v1/kyt/transaction/{id}/full_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"history_items": [
{
"agent_id": "integer",
"comment": "string",
"created_at": "string",
"revision_number": "integer",
"state": {}
}
],
"transaction": {
"amount": "number",
"client_id": "integer",
"comment": "string",
"context": "string",
"converted_amount": "number",
"converted_currency": "string",
"converted_date": "string",
"crypto": {
"blockchain": "string",
"tx_hash": "string"
},
"currency": "string",
"customers": [
"string"
],
"date": "string",
"external_id": "string",
"fields": "any",
"from": {
"account_type": "string",
"device": {
"2fa": "boolean",
"3ds": "boolean",
"country": "string",
"fingerprint": "string",
"geolocation": "string",
"ip": "string",
"language": "string",
"session_duration": "number",
"session_id": "string",
"user_agent": "string"
},
"domicile_code": "string",
"external_id": "string",
"full_name": "string",
"payment_institution": {
"code": "string",
"country": "string",
"external_id": "string",
"internal_customer_id": "string",
"name": "string",
"real_external_id": "string"
},
"payment_method": {
"code": "string",
"country": "string",
"type": "string"
}
},
"id": "string",
"review_groups": [
"string"
],
"rules": [
{
"active": "boolean",
"code": "string",
"score": "number",
"use_weight": "boolean",
"weight": "number"
}
],
"score": "number",
"search_vector": [
"string"
],
"state": {},
"to": {
"account_type": "string",
"device": {
"2fa": "boolean",
"3ds": "boolean",
"country": "string",
"fingerprint": "string",
"geolocation": "string",
"ip": "string",
"language": "string",
"session_duration": "number",
"session_id": "string",
"user_agent": "string"
},
"domicile_code": "string",
"external_id": "string",
"full_name": "string",
"payment_institution": {
"code": "string",
"country": "string",
"external_id": "string",
"internal_customer_id": "string",
"name": "string",
"real_external_id": "string"
},
"payment_method": {
"code": "string",
"country": "string",
"type": "string"
}
}
}
}
{
"errors": [
{
"code": "string",
"deprecated": "boolean",
"message": "string",
"will_be_deprecated": "boolean"
}
]
}
Go!KYT
Get transaction full history
Returns the specified KYT transaction with its full history.
GET
/
api
/
v1
/
kyt
/
transaction
/
{id}
/
full_history
Get transaction full history
Path parameters
Response body
- 200
- default
Show properties
Show properties
Show properties
Show properties
may be an alias
Show properties
Show properties
Show properties
Show properties
may be an alias
{
"history_items": [
{
"agent_id": "integer",
"comment": "string",
"created_at": "string",
"revision_number": "integer",
"state": {}
}
],
"transaction": {
"amount": "number",
"client_id": "integer",
"comment": "string",
"context": "string",
"converted_amount": "number",
"converted_currency": "string",
"converted_date": "string",
"crypto": {
"blockchain": "string",
"tx_hash": "string"
},
"currency": "string",
"customers": [
"string"
],
"date": "string",
"external_id": "string",
"fields": "any",
"from": {
"account_type": "string",
"device": {
"2fa": "boolean",
"3ds": "boolean",
"country": "string",
"fingerprint": "string",
"geolocation": "string",
"ip": "string",
"language": "string",
"session_duration": "number",
"session_id": "string",
"user_agent": "string"
},
"domicile_code": "string",
"external_id": "string",
"full_name": "string",
"payment_institution": {
"code": "string",
"country": "string",
"external_id": "string",
"internal_customer_id": "string",
"name": "string",
"real_external_id": "string"
},
"payment_method": {
"code": "string",
"country": "string",
"type": "string"
}
},
"id": "string",
"review_groups": [
"string"
],
"rules": [
{
"active": "boolean",
"code": "string",
"score": "number",
"use_weight": "boolean",
"weight": "number"
}
],
"score": "number",
"search_vector": [
"string"
],
"state": {},
"to": {
"account_type": "string",
"device": {
"2fa": "boolean",
"3ds": "boolean",
"country": "string",
"fingerprint": "string",
"geolocation": "string",
"ip": "string",
"language": "string",
"session_duration": "number",
"session_id": "string",
"user_agent": "string"
},
"domicile_code": "string",
"external_id": "string",
"full_name": "string",
"payment_institution": {
"code": "string",
"country": "string",
"external_id": "string",
"internal_customer_id": "string",
"name": "string",
"real_external_id": "string"
},
"payment_method": {
"code": "string",
"country": "string",
"type": "string"
}
}
}
}
{
"errors": [
{
"code": "string",
"deprecated": "boolean",
"message": "string",
"will_be_deprecated": "boolean"
}
]
}
⌘I